Summary: 	A graphic library for file loading, saving, rendering, and manipulation
Name: 		imlib2
Version: 	1.0.6
Release: 	0.fdr.3.1
Epoch:		0
License: 	BSD
Group: 		System Environment/Libraries
URL: 		http://enlightenment.org/
Source0: 	%{name}-%{version}.tar.gz
Patch0:		imlib2-1.0.6-demo-build.patch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	XFree86-devel libjpeg-devel libpng-devel libtiff-devel
BuildRequires:	libungif-devel automake14 freetype-devel

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}
Requires:	XFree86-devel freetype-devel

# -----------------------------------------------------------------------------

%description
Imlib 2 is the successor to Imlib. It is NOT a newer version -- it is
a completely new library. Imlib 2 can be installed alongside Imlib 1.x
without any problems since they are effectively different libraries
which have very similar functionality. Please see the homepage for the
long description of the differences.

%description devel
This package contains development files for %{name}.

Imlib 2 is the successor to Imlib. It is NOT a newer version -- it is
a completely new library. Imlib 2 can be installed alongside Imlib 1.x
without any problems since they are effectively different libraries
which have very similar functionality. Please see the homepage for the
long description of the differences.

# -----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .demo
automake-1.4 -a

# -----------------------------------------------------------------------------

%build
%configure	\
%ifarch i686 athlon
	--enable-mmx
%else
	--disable-mmx
%endif
(cd loaders ; perl -pi -e 's|-lImlib2|-L\$(top_builddir)/src/.libs -lImlib2|g' Makefile)
make %{?_smp_mflags} 
make -C demo

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT __doc
make install DESTDIR=$RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT -C demo

cp -a doc __doc
rm -f __doc/Makefile*

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/loaders/*/*.*a

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README ChangeLog __doc/*
%{_bindir}/imconvert
%{_bindir}/imlib2_view
%{_libdir}/libImlib2.so.*
%{_libdir}/loaders

%files devel
%defattr(-,root,root,-)
%{_bindir}/imlib2-config
%{_includedir}/Imlib2.h
%{_libdir}/libImlib2.a
%{_libdir}/libImlib2.so

# -----------------------------------------------------------------------------

%changelog
* Tue Nov 18 2003 Dams <anvil[AT]livna.org> 0:1.0.6-0.fdr.3
- s#_prefix/lib#_libdir#

* Tue Nov 18 2003 Dams <anvil[AT]livna.org> 0:1.0.6-0.fdr.2
- Moved some binaries and loaders into main package
- Added missing Requires and BuildRequires

* Sun Oct 26 2003 Dams <anvil[AT]livna.org> 
- Initial build.
